# Method _Sass.Compiler()->compile_file()

Method compile_file

  ``mapping`(`s8`:`s8`) compile_file(`s8` `input_file`)`

Description

  Compile the file input_file and return the result

Parameter `input_file`

  The SCSS file to compile

Returns

  A mapping with the generated CSS and source mapping file if such is set to be generated

  ``"css"` : `string(8bit)`` | The generated CSS
  ``"map"` : `string(8bit)`` | The generated source mapping data

Method compile_file

  ``variant` `void` compile_file(`s8` `input_file`, `s8` `output_file`)`

Description

  Compile the file input_file and write the result to output_file. If a source mapping file is set to be generated either via set_options() or `source_map_file` it will be written as per the value set in the option.

Parameter `input_file`

  The SCSS file to compile

Parameter `output_file`

  The name of the CSS file to save the result in.